curl -X PATCH 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here' \
-H 'Content-Type: application/json' \
-d '{
"asset": {
"name": "Photoshop Brushes Pack v3",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip"
}
}'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{
method: 'PATCH',
headers: {
'X-Auth-Token': 'fm_api_key_your_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset: {
name: 'Photoshop Brushes Pack v3',
external_url: 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
})
}
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'},
json={
'asset': {
'name': 'Photoshop Brushes Pack v3',
'external_url': 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack v3",
"filename": "brushes-pack-v3.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-04-08T10:00:00Z"
}
}
{
"error": "Asset not found"
}
{
"errors": ["External url can't be blank"]
}
Assets
Update Asset
Update the metadata of an existing asset.
PATCH
/
assets
/
{id}
curl -X PATCH 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here' \
-H 'Content-Type: application/json' \
-d '{
"asset": {
"name": "Photoshop Brushes Pack v3",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip"
}
}'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{
method: 'PATCH',
headers: {
'X-Auth-Token': 'fm_api_key_your_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset: {
name: 'Photoshop Brushes Pack v3',
external_url: 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
})
}
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'},
json={
'asset': {
'name': 'Photoshop Brushes Pack v3',
'external_url': 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack v3",
"filename": "brushes-pack-v3.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-04-08T10:00:00Z"
}
}
{
"error": "Asset not found"
}
{
"errors": ["External url can't be blank"]
}
Path parameters
The asset’s unique identifier (UUID).
Request body
Show Asset fields
Show Asset fields
Display name for the asset.
The URL of the external file. Only applicable to
external type assets.Whether to apply PDF watermarking to this asset.
Whether to auto-generate a licence key on purchase. Only applicable to
licence type assets.Response
Returns the updated asset object.The updated asset.
curl -X PATCH 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here' \
-H 'Content-Type: application/json' \
-d '{
"asset": {
"name": "Photoshop Brushes Pack v3",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip"
}
}'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{
method: 'PATCH',
headers: {
'X-Auth-Token': 'fm_api_key_your_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset: {
name: 'Photoshop Brushes Pack v3',
external_url: 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
})
}
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'},
json={
'asset': {
'name': 'Photoshop Brushes Pack v3',
'external_url': 'https://cdn.example.com/files/brushes-pack-v3.zip'
}
}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack v3",
"filename": "brushes-pack-v3.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v3.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-04-08T10:00:00Z"
}
}
{
"error": "Asset not found"
}
{
"errors": ["External url can't be blank"]
}
⌘I